r2568 - in trunk/bootscripts: . blfs/init.d

randy at linuxfromscratch.org randy at linuxfromscratch.org
Thu Aug 5 09:48:26 PDT 2004


Author: randy
Date: 2004-08-05 10:48:24 -0600 (Thu, 05 Aug 2004)
New Revision: 2568

Added:
   trunk/bootscripts/blfs/init.d/cyrus-sasl
Modified:
   trunk/bootscripts/ChangeLog
   trunk/bootscripts/Makefile
Log:
Added Cyrus SASL authdaemon script

Modified: trunk/bootscripts/ChangeLog
===================================================================
--- trunk/bootscripts/ChangeLog	2004-08-05 16:28:18 UTC (rev 2567)
+++ trunk/bootscripts/ChangeLog	2004-08-05 16:48:24 UTC (rev 2568)
@@ -1,3 +1,6 @@
+2004-08-05 Randy McMurchy <randy at linuxfromscratch.org>
+	* Added cyrus-sasl (Cyrus SASL authdaemon) script 
+
 2004-08-03 DJ Lucas <dj at linuxfromscratch.org>
 	* Added MODE and DIRMODE variables to set 
 	  permissions of installed scripts and 

Modified: trunk/bootscripts/Makefile
===================================================================
--- trunk/bootscripts/Makefile	2004-08-05 16:28:18 UTC (rev 2567)
+++ trunk/bootscripts/Makefile	2004-08-05 16:48:24 UTC (rev 2568)
@@ -68,6 +68,16 @@
 	ln -sf  ../init.d/cups ${EXTDIR}/rc.d/rc5.d/S99cups
 	ln -sf  ../init.d/cups ${EXTDIR}/rc.d/rc6.d/K00cups
 
+install-cyrus-sasl: create-dirs
+	install -m ${MODE} blfs/init.d/cyrus-sasl ${EXTDIR}/rc.d/init.d/
+	ln -sf  ../init.d/cyrus-sasl ${EXTDIR}/rc.d/rc0.d/K49cyrus-sasl
+	ln -sf  ../init.d/cyrus-sasl ${EXTDIR}/rc.d/rc1.d/K49cyrus-sasl
+	ln -sf  ../init.d/cyrus-sasl ${EXTDIR}/rc.d/rc2.d/S24cyrus-sasl
+	ln -sf  ../init.d/cyrus-sasl ${EXTDIR}/rc.d/rc3.d/S24cyrus-sasl
+	ln -sf  ../init.d/cyrus-sasl ${EXTDIR}/rc.d/rc4.d/S24cyrus-sasl
+	ln -sf  ../init.d/cyrus-sasl ${EXTDIR}/rc.d/rc5.d/S24cyrus-sasl
+	ln -sf  ../init.d/cyrus-sasl ${EXTDIR}/rc.d/rc6.d/K49cyrus-sasl
+
 install-dhcp: create-dirs
 	install -m ${MODE} blfs/init.d/dhcp       ${EXTDIR}/rc.d/init.d/
 	ln -sf  ../init.d/dhcp ${EXTDIR}/rc.d/rc0.d/K30dhcp
@@ -375,6 +385,7 @@
 	install-apache \
 	install-bind \
 	install-cups \
+	install-cyrus-sasl \
 	install-dhcp \
 	install-exim \
 	install-fcron \

Added: trunk/bootscripts/blfs/init.d/cyrus-sasl
===================================================================
--- trunk/bootscripts/blfs/init.d/cyrus-sasl	2004-08-05 16:28:18 UTC (rev 2567)
+++ trunk/bootscripts/blfs/init.d/cyrus-sasl	2004-08-05 16:48:24 UTC (rev 2568)
@@ -0,0 +1,37 @@
+#!/bin/sh
+# Begin $rc_base/init.d/cyrus-sasl
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard at linuxfromscratch.org
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+case "$1" in
+	start)
+		echo "Starting the Cyrus SASL Server..."
+		loadproc /usr/sbin/saslauthd -a [authmech]
+		;;
+
+	stop)
+		echo "Stopping the Cyrus SASL Server..."
+		killproc saslauthd
+		;;
+
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+		;;
+
+	status)
+		statusproc saslauthd
+		;;
+
+	*)
+		echo "Usage: $0 {start|stop|restart|status}"
+		exit 1
+		;;
+esac
+
+# End $rc_base/init.d/cyrus-sasl




More information about the blfs-book mailing list